/////////////////////////////////////////////////////////////////////////////
// GliD3D.h : GliD3D - Glide to Direct3D
/////////////////////////////////////////////////////////////////////////////
#ifndef __GLID3D_H__
#define __GLID3D_H__
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Directive
//#include <iostream.h>
//#include <stdlib.h>
//#include <conio.h>

/////////////////////////////////////////////////////////////////////////////
// Defines / Variables

#define GLID3D_CLASSNAME						"GL2IDE_CLASS"
#define GLID3D_TITLE							"GL2IDE"

#define GLID3D_PROFILENAME						"GL2IDE.INI"
#define GLID3DPROF_VIDEO_FOGMODE				"FogMode"
#define GLID3DPROF_VIDEO_MIPMAPS				"MipMaps"
#define GLID3DPROF_VIDEO_FULLSCREEN				"FullScreen"
#define GLID3DPROF_VIDEO_BLENDFIX				"BlendFix"
#define GLID3DPROF_VIDEO_PRECISIONFIX			"PrecisionFix"
#define GLID3DPROF_VIDEO_USEZINVERSE			"UseZInverse"
#define GLID3DPROF_VIDEO_ZDEPTHRANGE			"ZDepthRange"



BOOL
GliD3DGetProfileString(LPCSTR pszSection, LPCSTR pszKey, LPCSTR pszDefault, LPSTR pszDest, LPCSTR pszProfileName)
;

INT
GliD3DGetProfileInt(LPCSTR pszSection, LPCSTR pszKey, INT nDefault, LPCSTR pszProfileName)
;

BOOL
GliD3DWriteProfileString(LPCSTR pszSection, LPCSTR pszKey, LPSTR pszSrc, LPCSTR pszProfileName)
;
BOOL
GliD3DWriteProfileInt(LPCSTR pszSection, LPCSTR pszKey, INT nSrc, LPCSTR pszProfileName)
;

#endif